Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044317
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] SAP Connector Mappingsmajoralways2020-06-09 11:512020-07-06 11:28
Reportersanti_lozanoView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision2fca64ed1dad
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0044317: Tomcat restart error after configuring JCo configuration

DescriptionOn a clear instance after installing SAP ECC Mappings and filling the details on window Comunication With Sap for a JCo configuration (with the main header and the tab data set) then if you restart tomcat it crashes
It has been tested on tip and on 19Q4.4 (last is customer instance version)
Steps To Reproduce* download a clear Openbravo tip instance
* on Module Management add SAP ECC Mappings module. Also add module Openbravo for Retail Pack (as the dependence is not automatically detected)
* with role F&B International Group Admin go to window Comunication With Sap. Add a new entry: select JCo configuration as communication protocol. On tab JCo configuration (appears now) add a new one: you can put anything here it's just to test it (no need of a real connection)(check the attached image here for an example data to enter)
*save, stop tomcat, and restart tomcat
*error appears (see attachments) and we are not able to access to the instance
TagsNo tags attached.
Attached Filespng file icon 16406 - example data.png [^] (113,985 bytes) 2020-06-09 11:52


 file icon 16406 - eclipse tomcat log after restart [^] (13,298 bytes) 2020-06-09 11:53 [Show Content]
png file icon 16406 - browser error after tomcat restart.png [^] (24,648 bytes) 2020-06-09 11:53

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0121261)
hgbot (developer)
2020-07-06 11:28

Repository: erp/pmods/org.openbravo.service.integration.sapecc
Changeset: 2fca64ed1dad749b9d5f517a9ba8a89c5a5858fa
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Jul 06 11:28:04 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.service.integration.sapecc/rev/2fca64ed1dad749b9d5f517a9ba8a89c5a5858fa [^]

fixes BUG-44317: Includes library needed to use JCo integration

The libsapjco3.so needs to be manually copied to a folder reachable by the java.library.path (i.e /usr/lib).
Without it, the following error will be thrown when starting Tomcat:
JCo initialization failed with java.lang.UnsatisfiedLinkError: no sapjco3 in java.library.path

With the .so file in the proper place, these error will not be logged, either Tomcat will start without error
or an expected configuration JCo error will be logged.

---
A lib/so/libsapjco3.so
---

- Issue History
Date Modified Username Field Change
2020-06-09 11:51 santi_lozano New Issue
2020-06-09 11:51 santi_lozano Assigned To => Triage Finance
2020-06-09 11:52 santi_lozano File Added: 16406 - example data.png
2020-06-09 11:53 santi_lozano File Added: 16406 - eclipse tomcat log after restart
2020-06-09 11:53 santi_lozano File Added: 16406 - browser error after tomcat restart.png
2020-06-09 12:00 Practics Issue Monitored: Practics
2020-06-10 18:22 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2020-06-12 13:41 dmiguelez Assigned To AtulOpenbravo => inigo_lerga
2020-06-19 11:25 inigo_lerga Status new => scheduled
2020-06-22 11:04 inigo_lerga Assigned To inigo_lerga => AugustoMauch
2020-07-06 11:28 hgbot Checkin
2020-07-06 11:28 hgbot Note Added: 0121261
2020-07-06 11:28 hgbot Status scheduled => resolved
2020-07-06 11:28 hgbot Resolution open => fixed
2020-07-06 11:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.service.integration.sapecc/rev/2fca64ed1dad749b9d5f517a9ba8a89c5a5858fa [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker